export interface ICommonResHeader {
    resultCode: string;
    resultMsg: string;
}
export interface ICommonResBody<T> {
    items: {
        item: T;
    };
    numOfRows: number;
    pageNo: number;
    totalCount: number;
}
export interface ICommonRes<T> {
    response: {
        header: ICommonResHeader;
        body: ICommonResBody<T>;
    };
}
export interface ICommonResult<T> extends ICommonResHeader, ICommonResBody<T> {
}
export declare type TLanguage = "Kor" | "Eng" | "Jpn" | "Chs" | "Cht" | "Ger" | "Fre" | "Spn" | "Rus";
export declare type TService = "areaBasedSyncList" | "searchFestival1" | "searchStay1" | "detailIntro1" | "detailInfo1" | "detailCommon1" | "areaBasedSyncList1" | "detailImage1" | "areaCode1" | "categoryCode1" | "areaBasedList1" | "locationBasedList1" | "searchKeyword1";
export interface ICommonReq {
    numOfRows?: number;
    pageNo?: number;
    MobileOS: "IOS" | "AND" | "WIN" | "ETC";
    MobileApp: string;
    ServiceKey: string;
    language: TLanguage;
    timeout?: number;
}
//# sourceMappingURL=common-interface.d.ts.map